curl --request GET \
--url https://api.pushcash.com/intent/{id} \
--header 'Authorization: Bearer <token>'{
"id": "intent_sandbox_dMggQ93ZYH6DH9LBhVeijE",
"idempotency_key": "f1bbb856",
"created_at": "2023-05-24T20:36:50.694Z",
"direction": "cash_in",
"user_id": "user_28CJjV7P4Go5PNJvfzghiD",
"amount": 1450,
"currency": "USD",
"guarantee_amount": 1450,
"status": "approved",
"decline_category": null,
"transactions": [
{
"id": "txn_230vjroij4985uefjoiu9",
"amount": 1450,
"currency": "USD",
"created_at": "2023-05-24T20:15:18.158Z",
"date": "2023-05-24",
"batch": "398002",
"balance": "settlement",
"type": "intent",
"source_id": "intent_sandbox_dMggQ93ZYH6DH9LBhVeijE",
"status": "settled"
}
],
"dispute": null,
"refund": null,
"credential": {
"display_name": "Chase Checking",
"last4": "6018"
},
"payment_credential": {
"bank_name": "Space Coast Credit Union",
"account": {
"number_mask": "5978",
"routing": "263177903"
},
"card": {
"primary_account_number_mask": "6018",
"expiration": "2024-05-01",
"brand": "visa"
}
},
"rail": "card",
"account": {
"id": "account_WsELzpJOvU6fNafvzWbF6K",
"type": "settlement",
"name": "Settlement Account",
"created_at": "2023-05-24T20:15:18.158Z"
},
"type": "push"
}Get an intent by ID
curl --request GET \
--url https://api.pushcash.com/intent/{id} \
--header 'Authorization: Bearer <token>'{
"id": "intent_sandbox_dMggQ93ZYH6DH9LBhVeijE",
"idempotency_key": "f1bbb856",
"created_at": "2023-05-24T20:36:50.694Z",
"direction": "cash_in",
"user_id": "user_28CJjV7P4Go5PNJvfzghiD",
"amount": 1450,
"currency": "USD",
"guarantee_amount": 1450,
"status": "approved",
"decline_category": null,
"transactions": [
{
"id": "txn_230vjroij4985uefjoiu9",
"amount": 1450,
"currency": "USD",
"created_at": "2023-05-24T20:15:18.158Z",
"date": "2023-05-24",
"batch": "398002",
"balance": "settlement",
"type": "intent",
"source_id": "intent_sandbox_dMggQ93ZYH6DH9LBhVeijE",
"status": "settled"
}
],
"dispute": null,
"refund": null,
"credential": {
"display_name": "Chase Checking",
"last4": "6018"
},
"payment_credential": {
"bank_name": "Space Coast Credit Union",
"account": {
"number_mask": "5978",
"routing": "263177903"
},
"card": {
"primary_account_number_mask": "6018",
"expiration": "2024-05-01",
"brand": "visa"
}
},
"rail": "card",
"account": {
"id": "account_WsELzpJOvU6fNafvzWbF6K",
"type": "settlement",
"name": "Settlement Account",
"created_at": "2023-05-24T20:15:18.158Z"
},
"type": "push"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The intent ID
Successful operation
The value passed in the X-Idempotency-Key header of the create intent request
Creation timestamp for the Intent
Direction of the payment.
cash_in for depositscash_out for withdrawalscash_in, cash_out Amount for the transaction, in smallest unit of specified currency (ie if currency is USD, the unit would be cents)
Currency associated with the amount
USD created, approved, declined, pending, canceled Show child attributes
A dispute received from the payment network tied to an intent
Show child attributes
{
"id": "dispute_0293cj9ru032lisdjow",
"amount": 10000,
"currency": "USD",
"created_at": "2023-05-24T20:36:50.694Z",
"intent_id": "intent_sandbox_dMggQ93ZYH6DH9LBhVeijE",
"code": "R01",
"status": "created",
"type": "push"
}A refund issued against an approved intent
Show child attributes
{
"id": "refund_28CJjV7P4Go5PNJvfzghiD",
"intent_id": "intent_sandbox_dMggQ93ZYH6DH9LBhVeijE",
"amount": 1450,
"currency": "USD",
"status": "approved",
"created_at": "2023-05-24T20:36:50.694Z"
}Enable manual review of payouts or redemptions through this parameter. See Manual Review for details.
automatic, manual The credentials used for the payment intent
Show child attributes
{
"display_name": "Chase Checking",
"last4": "6018"
}The details for the user's payment credential
Show child attributes
{
"bank_name": "Space Coast Credit Union",
"account": {
"number_mask": "5978",
"routing": "263177903"
},
"card": {
"primary_account_number_mask": "6018",
"expiration": "2024-05-01",
"brand": "visa"
},
"created_at": "2023-04-10T05:10:14.532Z"
}The payment rail used to complete the payment intent. Only defined once a payment intent has been processed.
card, ach Show child attributes
{
"id": "account_WsELzpJOvU6fNafvzWbF6K",
"type": "settlement",
"name": "Settlement Account",
"balance": 1000000,
"created_at": "2023-05-24T20:15:18.158Z"
}The payment flow type for the intent.
push, card_only, apple_pay The amount guaranteed by Push for the transaction. Only defined when direction is cash_in.
The high level reason why the intent was declined, included if the status is "declined"
insufficient_funds, unapproved_amount, fraud_risk, connection_error, transaction_limit, unsupported_card, suspended_user